0

I'm trying to install OpenBTS-UMTS on Ubuntu 18.04. I ran successfully

./autogen.sh

and

./configure

then

make

fails with the following error

Makefile:501: recipe for target 'CLI.lo' failed
make[2]: *** [CLI.lo] Error 1
make[2]: Leaving directory '/home/foo/Downloads/OpenBTS-UMTS/CLI'
Makefile:550: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/home/foo/Downloads/OpenBTS-UMTS'
Makefile:481: recipe for target 'all' failed
make: *** [all] Error 2

How to solve? Thanks to who will try to help.

Same version of OpenBTS-UMTS compiled and installed successfully on Ubuntu 16.04

2

Ubuntu 18 use g++-7 by default, the problem is related with static const data members may be initialized in the class declaration. This is the problematic declaration:

../UMTS/UMTSRadioModem.h:181:28: error: ‘constexpr’ needed for in-class initialization of static data member ‘const float UMTS::RadioModem::mRACHThreshold’ of non-integral type [-fpermissive] static const float mRACHThreshold = 10.0; ^~~~~~~~~~~~~~

(more information here)

To compile OpenBTS-UMTS in your Ubuntu 18, install g++-5: apt-get install g++-5-multilib and then configure the g++ versions using update-alternatives (see also this post)

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.